// InsertGpsFixDial.cpp : implementation file
//

#include "stdafx.h"
#include "nav.h"
#include "InsertGpsFixDial.h"
#include "utilcalcul.h"
#include "mainfrm.h"
#include "navview.h"
#include "navdoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// InsertGpsFixDial dialog


InsertGpsFixDial::InsertGpsFixDial(CWnd* pParent /*=NULL*/)
	: CDialog(InsertGpsFixDial::IDD, pParent)
{
	//{{AFX_DATA_INIT(InsertGpsFixDial)
	m_gpsfix_distance = 0.0;
	m_navaidDetails = _T("");
	m_gpsfix_newLat = _T("");
	m_gpsfix_newLong = _T("");
	m_gpsfix_heading = 0.0;
	m_HeadingReverse = _T("");
	//}}AFX_DATA_INIT
}


void InsertGpsFixDial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(InsertGpsFixDial)
	DDX_Text(pDX, IDC_INSERT_GPSFIX_DISTANCE, m_gpsfix_distance);
	DDX_Text(pDX, IDC_TEXT, m_navaidDetails);
	DDX_Text(pDX, IDC_GPSFIX_NEWLAT, m_gpsfix_newLat);
	DDX_Text(pDX, IDC_GPSFIX_NEWLONG, m_gpsfix_newLong);
	DDX_Text(pDX, IDC_INSERT_GPSFIX_HDG, m_gpsfix_heading);
	DDX_Text(pDX, IDC_HEADING_REVERSE, m_HeadingReverse);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(InsertGpsFixDial, CDialog)
	//{{AFX_MSG_MAP(InsertGpsFixDial)
	ON_BN_CLICKED(IDC_GPSFIX_INSERT, OnGpsfixInsert)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_DISTANCE, OnDeltaposSpinDistance)
	ON_EN_CHANGE(IDC_INSERT_GPSFIX_DISTANCE, OnChangeInsertGpsfixDistance)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN_HEADING, OnDeltaposSpinHeading)
	ON_EN_CHANGE(IDC_INSERT_GPSFIX_HDG, OnChangeInsertGpsfixHdg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// InsertGpsFixDial message handlers

void InsertGpsFixDial::OnGpsfixInsert() 
{

	CMainFrame *main = (CMainFrame *) AfxGetMainWnd();
	CNavView *view = (CNavView *) main->GetActiveView();
	CNavDoc *doc = (CNavDoc *) main->GetActiveDocument();
	
	double fixLat = fromLat;
	double fixLong = fromLong;
	DistHeadToCoord(m_gpsfix_distance,m_gpsfix_heading,fixLat,fixLong);

	
	doc->OnMapInsertgpsfix(fixLat,fixLong);
	view->Invalidate(TRUE);

	
}

void InsertGpsFixDial::OnOK() 
{

	CMainFrame *main = (CMainFrame *) AfxGetMainWnd();
	CNavView *view = (CNavView *) main->GetActiveView();
	CNavDoc *doc = (CNavDoc *) main->GetActiveDocument();

	double fixLat = fromLat;
	double fixLong = fromLong;
	DistHeadToCoord(m_gpsfix_distance,m_gpsfix_heading,fixLat,fixLong);

	
	int newIndex = doc->OnMapInsertgpsfix(fixLat,fixLong);
	view->SendToPlan(newIndex);
	CDialog::OnOK();
}


BOOL InsertGpsFixDial::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	// let's round the heading and distance

	m_gpsfix_heading = (double)((int)(m_gpsfix_heading + 0.5));
	m_gpsfix_distance = (double)((int)(m_gpsfix_distance*10))/10;
	double fixLat = fromLat;
	double fixLong = fromLong;
	DistHeadToCoord(m_gpsfix_distance,m_gpsfix_heading,fixLat,fixLong);
	LatToString(fixLat, m_gpsfix_newLat);
	LongToString(fixLong, m_gpsfix_newLong);


	double	reverse_Heading = m_gpsfix_heading + 180;

	if (reverse_Heading < 0)
		reverse_Heading += 360;
	if (reverse_Heading > 360)
		reverse_Heading -= 360;

	m_HeadingReverse.Format("%3.0f",reverse_Heading);

	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void InsertGpsFixDial::OnChangeInsertGpsfixDistance() 
{
	UpdateData(TRUE);
	RecalculateLatLong();
	UpdateData(FALSE);
	
}
void InsertGpsFixDial::OnChangeInsertGpsfixHdg() 
{
	UpdateData(TRUE);
	RecalculateLatLong();
	UpdateData(FALSE);
	
}

void InsertGpsFixDial::RecalculateLatLong() 
{
	double fixLat = fromLat;
	double fixLong = fromLong;
	DistHeadToCoord(m_gpsfix_distance,m_gpsfix_heading,fixLat,fixLong);
	LatToString(fixLat, m_gpsfix_newLat);
	LongToString(fixLong, m_gpsfix_newLong);

}

void InsertGpsFixDial::OnDeltaposSpinHeading(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here

	m_gpsfix_heading-= pNMUpDown->iDelta;

	if (m_gpsfix_heading < 0)
		m_gpsfix_heading += 360;
	if (m_gpsfix_heading > 360)
		m_gpsfix_heading -= 360;

	double	reverse_Heading = m_gpsfix_heading + 180;

	if (reverse_Heading < 0)
		reverse_Heading += 360;
	if (reverse_Heading > 360)
		reverse_Heading -= 360;

	m_HeadingReverse.Format("%.0f",reverse_Heading);
	
	RecalculateLatLong();
	UpdateData(FALSE);

	*pResult = 0;

}
void InsertGpsFixDial::OnDeltaposSpinDistance(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	m_gpsfix_distance-= pNMUpDown->iDelta;

	if (m_gpsfix_distance < 0)
		m_gpsfix_distance = 0;
	
	RecalculateLatLong();
	UpdateData(FALSE);

	*pResult = 0;
}

