// flightpl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// FlightPlan dialog

struct planRec {
	int index;
	double lat;
	double lon;
	double windVel;
	double windheading;
	double heading;
	double dist;
	double Tdist;
	double ete;
	double Tete;
	double fuel;
	double Tfuel;
	double alt;
	double wantedAlt;
	double correctedheading;
	double correctedvelocity;
};
class CNavView;
class FlightPlan : public CDialog
{
// Construction
public:
	BOOL SelectNextToFlyTo(CNavView *view);
	void pspace(int s, FILE *fp);
	CString readList(int row, int Column);
	int excessWind;
	void averageWind(double m1, double a1, double m2, double a2, double &m3, double &a3, double percent = .5);
	int wind(double &ihead, double ispeed, double ehead, double &espeed, double whead, double wspeed);
	void setColumnWidth();
	HICON m_hIcon;
	int ibod, itoc, C, D;
	int adjust(int index, int forward, int mode);
	void buildTable();
	FlightPlan(CWnd* pParent = NULL);   // standard constructor
	~FlightPlan();  
	CArray<planRec, planRec> plantable;
	char craftBuffer[50];
	long cruisealtitude;
	double descentfuel;
	double climbfuel;
	double cruisefuel;
	int cruisespeed;
	int climbspeed;
	int descentspeed;
	int climbrate;
	int descentrate;
	int dragging;
	int sel;
	void update();
	void checkButtons();
	int flyToSelected;			// selected flight point to fly to

// Dialog Data
	//{{AFX_DATA(FlightPlan)
	enum { IDD = IDD_FLIGHTPLAN };
	CListCtrl m_list;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FlightPlan)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(FlightPlan)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnClear();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnUp();
	afx_msg void OnDown();
	afx_msg void OnDelete();
	afx_msg void OnClickList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAuto();
	afx_msg void OnOptions();
	afx_msg void OnPrint();
	afx_msg void OnBeginlabeleditList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAircraft();
	afx_msg void OnItemchangedList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnPaint();
	afx_msg void OnWind();
	afx_msg void OnFilePrint();
	afx_msg void OnUpdateFilePrint(CCmdUI* pCmdUI);
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	afx_msg void OnFileExport();
	afx_msg void OnFlyto();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
