// serbgl.cpp : implementation file
//
/*
    Copyright (C) 1997 Ted Wright 
    NASA Business: wright@lerc.nasa.gov, Remainder: wright@en.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "stdafx.h"
#include "Nav.h"
#include "serbgl.h"
#include "DirDialog.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SerBgl dialog


SerBgl::SerBgl(CWnd* pParent /*=NULL*/)
	: CDialog(SerBgl::IDD, pParent)
{
	//{{AFX_DATA_INIT(SerBgl)
	m_recurse = FALSE;
	m_drive = _T("");
	m_skip = FALSE;
	//}}AFX_DATA_INIT
}


void SerBgl::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SerBgl)
	DDX_Check(pDX, IDC_CHECK1, m_recurse);
	DDX_Text(pDX, IDC_DRIVE, m_drive);
	DDV_MaxChars(pDX, m_drive, 1000);
	DDX_Check(pDX, IDC_CHECK2, m_skip);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SerBgl, CDialog)
	//{{AFX_MSG_MAP(SerBgl)
	ON_BN_CLICKED(IDC_SEARCH_DIR, OnSearchDir)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// SerBgl message handlers

void SerBgl::OnSearchDir() 
{
	UpdateData(TRUE);
	CDirDialog lookForDir;
	lookForDir.m_strTitle = "Scenery directory";
	lookForDir.m_strSelDir = m_drive;
	lookForDir.DoBrowse();
	if (lookForDir.m_strPath != "")
		m_drive = lookForDir.m_strPath;
	UpdateData(FALSE);
}
